For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Entitlements

Update company override

PUT
https://api.schematichq.com/company-overrides/:company_override_id
PUT
/company-overrides/:company_override_id
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.entitlements.updateCompanyOverride("company_override_id", {
8 valueType: "boolean",
9 });
10}
11main();
1{
2 "data": {
3 "company_id": "string",
4 "created_at": "2024-01-15T09:30:00Z",
5 "environment_id": "string",
6 "feature_id": "string",
7 "id": "string",
8 "notes": [
9 {
10 "created_at": "2024-01-15T09:30:00Z",
11 "external_user_id": "string",
12 "external_user_name": "string",
13 "id": "string",
14 "note": "string",
15 "updated_at": "2024-01-15T09:30:00Z"
16 }
17 ],
18 "updated_at": "2024-01-15T09:30:00Z",
19 "value_type": "boolean",
20 "company": {
21 "add_ons": [
22 {
23 "id": "string",
24 "included_credit_grants": [
25 {
26 "billing_credit_auto_topup_enabled": true,
27 "billing_credit_auto_topup_self_service": true,
28 "created_at": "2024-01-15T09:30:00Z",
29 "credit_amount": 1,
30 "credit_id": "string",
31 "id": "string",
32 "plan_id": "string",
33 "reset_type": "no_reset",
34 "updated_at": "2024-01-15T09:30:00Z",
35 "credit_description": "string",
36 "credit_name": "string",
37 "billing_credit_auto_topup_amount": 1,
38 "billing_credit_auto_topup_amount_type": "string",
39 "billing_credit_auto_topup_expiry_type": "duration",
40 "billing_credit_auto_topup_expiry_unit": "billing_periods",
41 "billing_credit_auto_topup_expiry_unit_count": 1,
42 "billing_credit_auto_topup_threshold_credits": 1,
43 "billing_credit_auto_topup_threshold_percent": 1,
44 "company_auto_topup_amount": 1,
45 "company_auto_topup_enabled": true,
46 "company_auto_topup_threshold_credits": 1,
47 "credit": {
48 "account_id": "string",
49 "burn_strategy": "expiration_priority",
50 "cost_editable": true,
51 "created_at": "2024-01-15T09:30:00Z",
52 "currency_prices": [
53 {
54 "currency": "string",
55 "price": {
56 "billing_scheme": "per_unit",
57 "created_at": "2024-01-15T09:30:00Z",
58 "currency": "string",
59 "id": "string",
60 "interval": "day",
61 "interval_count": 1,
62 "is_active": true,
63 "package_size": 1,
64 "price": 1,
65 "price_external_id": "string",
66 "price_id": "string",
67 "price_tier": [
68 {
69 "flat_amount": 1,
70 "per_unit_price": 1,
71 "per_unit_price_decimal": "string",
72 "up_to": 1
73 }
74 ],
75 "product_external_id": "string",
76 "product_id": "string",
77 "product_name": "string",
78 "provider_type": "orb",
79 "updated_at": "2024-01-15T09:30:00Z",
80 "usage_type": "licensed",
81 "meter_event_name": "string",
82 "meter_event_payload_key": "string",
83 "meter_id": "string",
84 "nickname": "string",
85 "price_decimal": "string",
86 "tiers_mode": "graduated"
87 }
88 }
89 ],
90 "default_expiry_unit": "billing_periods",
91 "default_rollover_policy": "expire",
92 "description": "string",
93 "environment_id": "string",
94 "id": "string",
95 "name": "string",
96 "updated_at": "2024-01-15T09:30:00Z",
97 "default_expiry_unit_count": 1,
98 "icon": "string",
99 "plural_name": "string",
100 "price": {
101 "billing_scheme": "per_unit",
102 "created_at": "2024-01-15T09:30:00Z",
103 "currency": "string",
104 "id": "string",
105 "interval": "day",
106 "interval_count": 1,
107 "is_active": true,
108 "package_size": 1,
109 "price": 1,
110 "price_external_id": "string",
111 "price_id": "string",
112 "price_tier": [
113 {
114 "flat_amount": 1,
115 "per_unit_price": 1,
116 "per_unit_price_decimal": "string",
117 "up_to": 1
118 }
119 ],
120 "product_external_id": "string",
121 "product_id": "string",
122 "product_name": "string",
123 "provider_type": "orb",
124 "updated_at": "2024-01-15T09:30:00Z",
125 "usage_type": "licensed",
126 "meter_event_name": "string",
127 "meter_event_payload_key": "string",
128 "meter_id": "string",
129 "nickname": "string",
130 "price_decimal": "string",
131 "tiers_mode": "graduated"
132 },
133 "price_per_unit": 1,
134 "price_per_unit_decimal": "string",
135 "product": {
136 "account_id": "string",
137 "created_at": "2024-01-15T09:30:00Z",
138 "environment_id": "string",
139 "external_id": "string",
140 "is_active": true,
141 "name": "string",
142 "price": 1.1,
143 "product_id": "string",
144 "provider_type": "orb",
145 "quantity": 1.1,
146 "updated_at": "2024-01-15T09:30:00Z",
147 "price_decimal": "string",
148 "currency": "string"
149 },
150 "singular_name": "string"
151 },
152 "expiry_type": "duration",
153 "expiry_unit": "billing_periods",
154 "expiry_unit_count": 1,
155 "plan": {
156 "id": "string",
157 "name": "string",
158 "description": "string",
159 "image_url": "string"
160 },
161 "plan_version_id": "string",
162 "reset_cadence": "daily",
163 "reset_start": "billing_period",
164 "credit_icon": "string",
165 "plural_name": "string",
166 "singular_name": "string"
167 }
168 ],
169 "name": "string",
170 "added_on": "2024-01-15T09:30:00Z",
171 "billing_product_external_id": "string",
172 "billing_product_id": "string",
173 "description": "string",
174 "image_url": "string",
175 "plan_period": "string",
176 "plan_price": 1,
177 "plan_version_id": "string"
178 }
179 ],
180 "billing_subscriptions": [
181 {
182 "cancel_at_period_end": true,
183 "created_at": "2024-01-15T09:30:00Z",
184 "currency": "string",
185 "customer_external_id": "string",
186 "discounts": [
187 {
188 "coupon_id": "string",
189 "coupon_name": "string",
190 "discount_external_id": "string",
191 "duration": "string",
192 "is_active": true,
193 "started_at": "2024-01-15T09:30:00Z",
194 "subscription_external_id": "string",
195 "amount_off": 1,
196 "currency": "string",
197 "customer_facing_code": "string",
198 "duration_in_months": 1,
199 "ended_at": "2024-01-15T09:30:00Z",
200 "percent_off": 1.1,
201 "promo_code_external_id": "string"
202 }
203 ],
204 "id": "string",
205 "interval": "string",
206 "period_end": 1,
207 "period_start": 1,
208 "products": [
209 {
210 "billing_scheme": "per_unit",
211 "created_at": "2024-01-15T09:30:00Z",
212 "currency": "string",
213 "environment_id": "string",
214 "external_id": "string",
215 "id": "string",
216 "interval": "string",
217 "name": "string",
218 "package_size": 1,
219 "price": 1,
220 "price_external_id": "string",
221 "price_id": "string",
222 "price_tier": [
223 {
224 "flat_amount": 1,
225 "per_unit_price": 1,
226 "per_unit_price_decimal": "string",
227 "up_to": 1
228 }
229 ],
230 "provider_type": "orb",
231 "quantity": 1.1,
232 "subscription_id": "string",
233 "updated_at": "2024-01-15T09:30:00Z",
234 "usage_type": "licensed",
235 "billing_threshold": 1,
236 "interval_count": 1,
237 "meter_id": "string",
238 "price_decimal": "string",
239 "subscription_item_external_id": "string"
240 }
241 ],
242 "provider_type": "orb",
243 "status": "string",
244 "subscription_external_id": "string",
245 "total_price": 1,
246 "application_id": "string",
247 "cancel_at": 1,
248 "company_id": "string",
249 "default_payment_method_id": "string",
250 "expired_at": "2024-01-15T09:30:00Z",
251 "latest_invoice": {
252 "amount_due": 1,
253 "amount_paid": 1,
254 "amount_remaining": 1,
255 "collection_method": "string",
256 "created_at": "2024-01-15T09:30:00Z",
257 "currency": "string",
258 "customer_external_id": "string",
259 "environment_id": "string",
260 "id": "string",
261 "provider_type": "orb",
262 "subtotal": 1,
263 "updated_at": "2024-01-15T09:30:00Z",
264 "company_id": "string",
265 "due_date": "2024-01-15T09:30:00Z",
266 "external_id": "string",
267 "payment_method_external_id": "string",
268 "status": "draft",
269 "subscription_external_id": "string",
270 "url": "string"
271 },
272 "metadata": {},
273 "payment_method": {
274 "created_at": "2024-01-15T09:30:00Z",
275 "customer_external_id": "string",
276 "environment_id": "string",
277 "external_id": "string",
278 "id": "string",
279 "payment_method_type": "string",
280 "provider_type": "orb",
281 "updated_at": "2024-01-15T09:30:00Z",
282 "account_last4": "string",
283 "account_name": "string",
284 "bank_name": "string",
285 "billing_email": "string",
286 "billing_name": "string",
287 "card_brand": "string",
288 "card_exp_month": 1,
289 "card_exp_year": 1,
290 "card_last4": "string",
291 "company_id": "string"
292 },
293 "trial_end": 1,
294 "trial_end_setting": "cancel"
295 }
296 ],
297 "created_at": "2024-01-15T09:30:00Z",
298 "custom_plan_billings": [
299 {
300 "activation_strategy": "on_payment",
301 "company_id": "string",
302 "created_at": "2024-01-15T09:30:00Z",
303 "days_until_due": 1,
304 "id": "string",
305 "plan_id": "string",
306 "status": "active",
307 "updated_at": "2024-01-15T09:30:00Z",
308 "paid_at": "2024-01-15T09:30:00Z",
309 "published_at": "2024-01-15T09:30:00Z",
310 "stripe_invoice_url": "string"
311 }
312 ],
313 "entitlements": [
314 {
315 "feature_id": "string",
316 "feature_key": "string",
317 "value_type": "boolean",
318 "allocation": 1,
319 "credit_id": "string",
320 "credit_remaining": 1.1,
321 "credit_total": 1.1,
322 "credit_used": 1.1,
323 "event_name": "string",
324 "metric_period": "all_time",
325 "metric_reset_at": "2024-01-15T09:30:00Z",
326 "month_reset": "billing_cycle",
327 "soft_limit": 1,
328 "usage": 1
329 }
330 ],
331 "entity_traits": [
332 {
333 "created_at": "2024-01-15T09:30:00Z",
334 "definition_id": "string",
335 "environment_id": "string",
336 "id": "string",
337 "updated_at": "2024-01-15T09:30:00Z",
338 "value": "string",
339 "definition": {
340 "created_at": "2024-01-15T09:30:00Z",
341 "display_name": "string",
342 "entity_type": "company",
343 "hierarchy": [
344 "string"
345 ],
346 "id": "string",
347 "trait_type": "boolean",
348 "updated_at": "2024-01-15T09:30:00Z"
349 }
350 }
351 ],
352 "environment_id": "string",
353 "id": "string",
354 "keys": [
355 {
356 "created_at": "2024-01-15T09:30:00Z",
357 "definition_id": "string",
358 "entity_id": "string",
359 "entity_type": "company",
360 "environment_id": "string",
361 "id": "string",
362 "key": "string",
363 "updated_at": "2024-01-15T09:30:00Z",
364 "value": "string",
365 "definition": {
366 "created_at": "2024-01-15T09:30:00Z",
367 "entity_type": "company",
368 "id": "string",
369 "key": "string",
370 "updated_at": "2024-01-15T09:30:00Z"
371 }
372 }
373 ],
374 "metrics": [
375 {
376 "account_id": "string",
377 "captured_at_max": "2024-01-15T09:30:00Z",
378 "captured_at_min": "2024-01-15T09:30:00Z",
379 "company_id": "string",
380 "created_at": "2024-01-15T09:30:00Z",
381 "environment_id": "string",
382 "event_subtype": "string",
383 "month_reset": "billing_cycle",
384 "period": "all_time",
385 "value": 1,
386 "valid_until": "2024-01-15T09:30:00Z"
387 }
388 ],
389 "name": "string",
390 "payment_methods": [
391 {
392 "created_at": "2024-01-15T09:30:00Z",
393 "customer_external_id": "string",
394 "environment_id": "string",
395 "external_id": "string",
396 "id": "string",
397 "payment_method_type": "string",
398 "provider_type": "orb",
399 "updated_at": "2024-01-15T09:30:00Z",
400 "account_last4": "string",
401 "account_name": "string",
402 "bank_name": "string",
403 "billing_email": "string",
404 "billing_name": "string",
405 "card_brand": "string",
406 "card_exp_month": 1,
407 "card_exp_year": 1,
408 "card_last4": "string",
409 "company_id": "string"
410 }
411 ],
412 "plans": [
413 {
414 "id": "string",
415 "name": "string",
416 "description": "string",
417 "image_url": "string"
418 }
419 ],
420 "rules": [
421 {
422 "account_id": "string",
423 "condition_groups": [
424 {
425 "conditions": [
426 {
427 "account_id": "string",
428 "condition_type": "base_plan",
429 "environment_id": "string",
430 "id": "string",
431 "operator": "eq",
432 "resource_ids": [
433 "string"
434 ],
435 "trait_value": "string",
436 "comparison_trait_definition": {
437 "comparable_type": "bool",
438 "entity_type": "company",
439 "id": "string"
440 },
441 "consumption_rate": 1.1,
442 "credit_id": "string",
443 "event_subtype": "string",
444 "metric_period": "all_time",
445 "metric_period_month_reset": "billing_cycle",
446 "metric_value": 1,
447 "trait_definition": {
448 "comparable_type": "bool",
449 "entity_type": "company",
450 "id": "string"
451 }
452 }
453 ]
454 }
455 ],
456 "conditions": [
457 {
458 "account_id": "string",
459 "condition_type": "base_plan",
460 "environment_id": "string",
461 "id": "string",
462 "operator": "eq",
463 "resource_ids": [
464 "string"
465 ],
466 "trait_value": "string",
467 "comparison_trait_definition": {
468 "comparable_type": "bool",
469 "entity_type": "company",
470 "id": "string"
471 },
472 "consumption_rate": 1.1,
473 "credit_id": "string",
474 "event_subtype": "string",
475 "metric_period": "all_time",
476 "metric_period_month_reset": "billing_cycle",
477 "metric_value": 1,
478 "trait_definition": {
479 "comparable_type": "bool",
480 "entity_type": "company",
481 "id": "string"
482 }
483 }
484 ],
485 "environment_id": "string",
486 "id": "string",
487 "name": "string",
488 "priority": 1,
489 "rule_type": "company_override",
490 "value": true,
491 "flag_id": "string"
492 }
493 ],
494 "updated_at": "2024-01-15T09:30:00Z",
495 "user_count": 1,
496 "billing_credit_balances": {},
497 "billing_subscription": {
498 "cancel_at_period_end": true,
499 "created_at": "2024-01-15T09:30:00Z",
500 "currency": "string",
501 "customer_external_id": "string",
502 "discounts": [
503 {
504 "coupon_id": "string",
505 "coupon_name": "string",
506 "discount_external_id": "string",
507 "duration": "string",
508 "is_active": true,
509 "started_at": "2024-01-15T09:30:00Z",
510 "subscription_external_id": "string",
511 "amount_off": 1,
512 "currency": "string",
513 "customer_facing_code": "string",
514 "duration_in_months": 1,
515 "ended_at": "2024-01-15T09:30:00Z",
516 "percent_off": 1.1,
517 "promo_code_external_id": "string"
518 }
519 ],
520 "id": "string",
521 "interval": "string",
522 "period_end": 1,
523 "period_start": 1,
524 "products": [
525 {
526 "billing_scheme": "per_unit",
527 "created_at": "2024-01-15T09:30:00Z",
528 "currency": "string",
529 "environment_id": "string",
530 "external_id": "string",
531 "id": "string",
532 "interval": "string",
533 "name": "string",
534 "package_size": 1,
535 "price": 1,
536 "price_external_id": "string",
537 "price_id": "string",
538 "price_tier": [
539 {
540 "flat_amount": 1,
541 "per_unit_price": 1,
542 "per_unit_price_decimal": "string",
543 "up_to": 1
544 }
545 ],
546 "provider_type": "orb",
547 "quantity": 1.1,
548 "subscription_id": "string",
549 "updated_at": "2024-01-15T09:30:00Z",
550 "usage_type": "licensed",
551 "billing_threshold": 1,
552 "interval_count": 1,
553 "meter_id": "string",
554 "price_decimal": "string",
555 "subscription_item_external_id": "string"
556 }
557 ],
558 "provider_type": "orb",
559 "status": "string",
560 "subscription_external_id": "string",
561 "total_price": 1,
562 "application_id": "string",
563 "cancel_at": 1,
564 "company_id": "string",
565 "default_payment_method_id": "string",
566 "expired_at": "2024-01-15T09:30:00Z",
567 "latest_invoice": {
568 "amount_due": 1,
569 "amount_paid": 1,
570 "amount_remaining": 1,
571 "collection_method": "string",
572 "created_at": "2024-01-15T09:30:00Z",
573 "currency": "string",
574 "customer_external_id": "string",
575 "environment_id": "string",
576 "id": "string",
577 "provider_type": "orb",
578 "subtotal": 1,
579 "updated_at": "2024-01-15T09:30:00Z",
580 "company_id": "string",
581 "due_date": "2024-01-15T09:30:00Z",
582 "external_id": "string",
583 "payment_method_external_id": "string",
584 "status": "draft",
585 "subscription_external_id": "string",
586 "url": "string"
587 },
588 "metadata": {},
589 "payment_method": {
590 "created_at": "2024-01-15T09:30:00Z",
591 "customer_external_id": "string",
592 "environment_id": "string",
593 "external_id": "string",
594 "id": "string",
595 "payment_method_type": "string",
596 "provider_type": "orb",
597 "updated_at": "2024-01-15T09:30:00Z",
598 "account_last4": "string",
599 "account_name": "string",
600 "bank_name": "string",
601 "billing_email": "string",
602 "billing_name": "string",
603 "card_brand": "string",
604 "card_exp_month": 1,
605 "card_exp_year": 1,
606 "card_last4": "string",
607 "company_id": "string"
608 },
609 "trial_end": 1,
610 "trial_end_setting": "cancel"
611 },
612 "default_payment_method": {
613 "created_at": "2024-01-15T09:30:00Z",
614 "customer_external_id": "string",
615 "environment_id": "string",
616 "external_id": "string",
617 "id": "string",
618 "payment_method_type": "string",
619 "provider_type": "orb",
620 "updated_at": "2024-01-15T09:30:00Z",
621 "account_last4": "string",
622 "account_name": "string",
623 "bank_name": "string",
624 "billing_email": "string",
625 "billing_name": "string",
626 "card_brand": "string",
627 "card_exp_month": 1,
628 "card_exp_year": 1,
629 "card_last4": "string",
630 "company_id": "string"
631 },
632 "last_seen_at": "2024-01-15T09:30:00Z",
633 "logo_url": "string",
634 "plan": {
635 "id": "string",
636 "included_credit_grants": [
637 {
638 "billing_credit_auto_topup_enabled": true,
639 "billing_credit_auto_topup_self_service": true,
640 "created_at": "2024-01-15T09:30:00Z",
641 "credit_amount": 1,
642 "credit_id": "string",
643 "id": "string",
644 "plan_id": "string",
645 "reset_type": "no_reset",
646 "updated_at": "2024-01-15T09:30:00Z",
647 "credit_description": "string",
648 "credit_name": "string",
649 "billing_credit_auto_topup_amount": 1,
650 "billing_credit_auto_topup_amount_type": "string",
651 "billing_credit_auto_topup_expiry_type": "duration",
652 "billing_credit_auto_topup_expiry_unit": "billing_periods",
653 "billing_credit_auto_topup_expiry_unit_count": 1,
654 "billing_credit_auto_topup_threshold_credits": 1,
655 "billing_credit_auto_topup_threshold_percent": 1,
656 "company_auto_topup_amount": 1,
657 "company_auto_topup_enabled": true,
658 "company_auto_topup_threshold_credits": 1,
659 "credit": {
660 "account_id": "string",
661 "burn_strategy": "expiration_priority",
662 "cost_editable": true,
663 "created_at": "2024-01-15T09:30:00Z",
664 "currency_prices": [
665 {
666 "currency": "string",
667 "price": {
668 "billing_scheme": "per_unit",
669 "created_at": "2024-01-15T09:30:00Z",
670 "currency": "string",
671 "id": "string",
672 "interval": "day",
673 "interval_count": 1,
674 "is_active": true,
675 "package_size": 1,
676 "price": 1,
677 "price_external_id": "string",
678 "price_id": "string",
679 "price_tier": [
680 {
681 "flat_amount": 1,
682 "per_unit_price": 1,
683 "per_unit_price_decimal": "string",
684 "up_to": 1
685 }
686 ],
687 "product_external_id": "string",
688 "product_id": "string",
689 "product_name": "string",
690 "provider_type": "orb",
691 "updated_at": "2024-01-15T09:30:00Z",
692 "usage_type": "licensed",
693 "meter_event_name": "string",
694 "meter_event_payload_key": "string",
695 "meter_id": "string",
696 "nickname": "string",
697 "price_decimal": "string",
698 "tiers_mode": "graduated"
699 }
700 }
701 ],
702 "default_expiry_unit": "billing_periods",
703 "default_rollover_policy": "expire",
704 "description": "string",
705 "environment_id": "string",
706 "id": "string",
707 "name": "string",
708 "updated_at": "2024-01-15T09:30:00Z",
709 "default_expiry_unit_count": 1,
710 "icon": "string",
711 "plural_name": "string",
712 "price": {
713 "billing_scheme": "per_unit",
714 "created_at": "2024-01-15T09:30:00Z",
715 "currency": "string",
716 "id": "string",
717 "interval": "day",
718 "interval_count": 1,
719 "is_active": true,
720 "package_size": 1,
721 "price": 1,
722 "price_external_id": "string",
723 "price_id": "string",
724 "price_tier": [
725 {
726 "flat_amount": 1,
727 "per_unit_price": 1,
728 "per_unit_price_decimal": "string",
729 "up_to": 1
730 }
731 ],
732 "product_external_id": "string",
733 "product_id": "string",
734 "product_name": "string",
735 "provider_type": "orb",
736 "updated_at": "2024-01-15T09:30:00Z",
737 "usage_type": "licensed",
738 "meter_event_name": "string",
739 "meter_event_payload_key": "string",
740 "meter_id": "string",
741 "nickname": "string",
742 "price_decimal": "string",
743 "tiers_mode": "graduated"
744 },
745 "price_per_unit": 1,
746 "price_per_unit_decimal": "string",
747 "product": {
748 "account_id": "string",
749 "created_at": "2024-01-15T09:30:00Z",
750 "environment_id": "string",
751 "external_id": "string",
752 "is_active": true,
753 "name": "string",
754 "price": 1.1,
755 "product_id": "string",
756 "provider_type": "orb",
757 "quantity": 1.1,
758 "updated_at": "2024-01-15T09:30:00Z",
759 "price_decimal": "string",
760 "currency": "string"
761 },
762 "singular_name": "string"
763 },
764 "expiry_type": "duration",
765 "expiry_unit": "billing_periods",
766 "expiry_unit_count": 1,
767 "plan": {
768 "id": "string",
769 "name": "string",
770 "description": "string",
771 "image_url": "string"
772 },
773 "plan_version_id": "string",
774 "reset_cadence": "daily",
775 "reset_start": "billing_period",
776 "credit_icon": "string",
777 "plural_name": "string",
778 "singular_name": "string"
779 }
780 ],
781 "name": "string",
782 "added_on": "2024-01-15T09:30:00Z",
783 "billing_product_external_id": "string",
784 "billing_product_id": "string",
785 "description": "string",
786 "image_url": "string",
787 "plan_period": "string",
788 "plan_price": 1,
789 "plan_version_id": "string"
790 },
791 "scheduled_downgrade": {
792 "currency": "string",
793 "effective_after": "2024-01-15T09:30:00Z",
794 "from_plan_id": "string",
795 "from_plan_name": "string",
796 "from_subscription_price": 1,
797 "id": "string",
798 "interval": "string",
799 "to_plan_id": "string",
800 "to_plan_name": "string",
801 "scheduled_interval": "string",
802 "scheduled_price": 1
803 },
804 "traits": {}
805 },
806 "consumption_rate": 1.1,
807 "expiration_date": "2024-01-15T09:30:00Z",
808 "feature": {
809 "created_at": "2024-01-15T09:30:00Z",
810 "description": "string",
811 "feature_type": "boolean",
812 "icon": "string",
813 "id": "string",
814 "name": "string",
815 "updated_at": "2024-01-15T09:30:00Z",
816 "event_subtype": "string",
817 "lifecycle_phase": "add_on",
818 "maintainer_account_member_id": "string",
819 "plural_name": "string",
820 "singular_name": "string",
821 "trait_id": "string"
822 },
823 "metric_period": "all_time",
824 "metric_period_month_reset": "billing_cycle",
825 "rule_id": "string",
826 "rule_id_usage_exceeded": "string",
827 "value_bool": true,
828 "value_numeric": 1,
829 "value_trait": {
830 "created_at": "2024-01-15T09:30:00Z",
831 "display_name": "string",
832 "entity_type": "company",
833 "hierarchy": [
834 "string"
835 ],
836 "id": "string",
837 "trait_type": "boolean",
838 "updated_at": "2024-01-15T09:30:00Z"
839 },
840 "value_trait_id": "string"
841 },
842 "params": {}
843}
Was this page helpful?
Previous

Delete company override

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Path parameters

company_override_idstringRequired

company_override_id

Request

This endpoint expects an object.
value_typeenumRequired
credit_consumption_ratedouble or nullOptional
expiration_datedatetime or nullOptional
metric_periodenum or nullOptional
Allowed values:
metric_period_month_resetenum or nullOptional
Allowed values:
notestring or nullOptional
value_boolboolean or nullOptional
value_credit_idstring or nullOptional
value_numericlong or nullOptional
value_trait_idstring or nullOptional

Response

OK
dataobject
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error